/* zGadgetsDoc.h -- document class */
/* Created 2/25/97 10:03 PM by AppMaker */

#pragma once

#include <CDocument.h>

class CApplication;
class CGadgetsData;
class CSliders;
class CProgressBars;
class CPallette;

/*----------*/
class ZGadgetsDoc : public CDocument {
public:
	virtual void	IGadgetsDoc	(CApplication	*aSupervisor,
									 Boolean		printable);
	void	Dispose			(void);							// is override

	void	NewFile			(void);							// is override
	void 	OpenFile		(SFReply	*macSFReply);		// is override
	virtual void	BuildWindows	(void);

	Boolean	DoSave			(void);							// is override
	Boolean	DoSaveAs		(SFReply	*macSFReply);		// is override
	void	DoRevert		(void);							// is override

protected:
	virtual void	DoInvokeAbout	(void);

protected:
	CGadgetsData		*itsData;
	CSliders		*itsSliders;
	CProgressBars		*itsProgressBars;
	CPallette		*itsPallette;

}; /* ZGadgetsDoc */
